import numpy


def normalized_tanh(value):
    """ Der Tangens hyperbolicus hat einen Wertebereich von ]-1, 1[. Diese Funktion normiert den Wertebereich zu ]0, 1["""

    # Verschiebe den Tangenz um 1 nach oben --> Wertebereich ]0, 2[
    # Teile durch Zwei --> Wertebereich ]0, 1[
    return (numpy.tanh(value) + 1) / 2